Subject: Re: [linux-next] potential deadlock in ufshcd?

From: "Alexey Klimov" <[email-masked]>
Date: Sun, 07 Dec 2025 23:15:51 +0000

On Sun Dec 7, 2025 at 3:18 PM GMT, Bart Van Assche wrote:
> On 12/6/25 7:07 PM, Alexey Klimov wrote:
>> Is it a known problem? I can test potential changes to resolve this
>> or try to collect more debug data if needed.
>
> Please help with testing these two kernel patches:
> * "[PATCH] ufs: core: Fix a deadlock in the frequency scaling code"
> (https://lore.kernel.org/linux-scsi/[email-masked]/).

Thanks! This looks like that one about fixing deadlock does
the job. I provided tested-by tag there.

> * "[PATCH] ufs: core: Fix an error handler crash"
> (https://lore.kernel.org/linux-scsi/[email-masked]/).

I didn't test this one yet though.

Best regards,
Alexey